INTERFACE
SUBROUTINE RDFUFA(KUNTIN,CDPREF,CDFIELD,KDEB,KFIN,KINDEX,&
 & PFIELDBUF,KLEV,KLVX,KLVBOT,LDABORT,LDALL) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMGEM , ONLY : NLOENG ,NGPTOTG
INTEGER(KIND=JPIM),INTENT(IN) :: KUNTIN
CHARACTER ,INTENT(IN) :: CDPREF*(*)
CHARACTER ,INTENT(IN) :: CDFIELD*(*)
INTEGER(KIND=JPIM),INTENT(IN) :: KDEB
INTEGER(KIND=JPIM),INTENT(IN) :: KFIN
INTEGER(KIND=JPIM),INTENT(IN) :: KINDEX
REAL(KIND=JPRB) ,INTENT(OUT) :: PFIELDBUF(NGPTOTG)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLVX
INTEGER(KIND=JPIM),INTENT(IN) :: KLVBOT
LOGICAL ,INTENT(IN) :: LDABORT
LOGICAL ,INTENT(IN) :: LDALL
END SUBROUTINE RDFUFA
END INTERFACE
